Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5671 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5671 indexed agents, 4904 currently healthy.

Agents indexed
5671 agents
4862 domains
public agent cards · +484 this week
Healthy
4904 agents
4220 domains
card reachable < 6 h
Conformant
4081 agents
3494 domains
valid card + skills
x402-capable
558 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
A 10.00
2 Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
A 10.00
3 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
4 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
5 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
6 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 Rhombus
Enterprise physical-security platform. Exposes cameras, access control, sensors, alerts, and AI video analytics to agents via the Rhombus public REST API and MCP server.
A 10.00
9 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
10 ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Admin Substitute” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

  • AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.

“agentshop” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AnswerPool” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.

“BlindOracle” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.

  • Trust layer for the x402 agent economy: 40 pay-per-call SKUs, USDC on Base, verifiable proofs.

“Cracked” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Discover, inspect and run 60,000+ agent tools from one balance. Pay per call, no subscriptions.

  • Tool router for AI agents: discover, inspect and run 13,713 endpoints across 1,225 providers and 89,000+ Apify actors from one balance, with a measured success rate, latency and per-call price on every tool. 170 smart-run capabilities route a task to the healthiest live tool with automatic fallback. Agents can register their own workspace at POST https://cracked.ai/v1/agents/register ($1 trial credit, no human needed) and earn $5 of credit for every workspace that signs up through their referral link (GET https://cracked.ai/v1/referrals).

  • Discover, inspect and run 60,000+ agent tools from one balance. Pay per call, no subscriptions.

  • Cracked is a tool router for AI agents. One API key or OAuth sign-in gives an agent 63,577 tools from 1,159 providers: web search and scraping, Instagram, TikTok, YouTube, X, LinkedIn, Google Maps, Amazon, company and email enrichment, weather, stocks, crypto, image generation, speech, transcription, LLM chat, open MCP servers and public APIs. 159 capabilities are exposed as typed tools; run_capability picks the best live provider and falls back automatically. Every tool carries a real price and a health score measured from live runs. Billing is per call: provider price plus a USD 0.001 platform fee; failed runs are not charged. No key? The public server at https://cracked.ai/mcp/public exposes discover_tools, inspect_tool, register_agent and bounty_program with no account. Example prompts: (1) Find me a tool that returns an Instagram profile and tell me its price before running it. (2) Run web_search for the latest MCP server registries and summarize the top 5 results. (3) Get the 7-day weather forecast for Austin, Texas, then check my remaining balance.

“DeFi Intel Agent Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“ForceDream” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.

  • ForceDream is a paid, verifiable AI agent marketplace. Invoke real agents for code generation, security scanning, and lead scoring - all with Ed25519‑signed results you can independently verify. Free API keys at https://www.forcedream.com/earn.

“Gardenpatch Growth Coaches” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with an X-PAYMENT header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.

  • Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with an X-PAYMENT header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK audiowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK identwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK rechtwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK solarwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK statwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“IPOSignal” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.

  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived ke…

  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.

“Jobs for AI Agents” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Lead Enrichment API” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Curated EU AI/Sec/DevTools/Fintech B2B leads, Claude-scored. MCP+x402. Free 250/mo.

  • Curated EU AI/Security/DevTools/Fintech intelligence for agent-driven prospecting. Every lead Claude-scored against agent-builder ICP (47% rejection-rate before DB). Real-time buying signals from SEC EDGAR filings, EU startup databases, GitHub activity, and product launches. 6-hour refresh. EU-hosted, GDPR Article 30 compliant. Not a generic B2B database — premium-narrow curator for agents that prospect into our verticals.

  • Curated EU AI/Sec/DevTools/Fintech B2B leads, Claude-scored. MCP+x402. Free 250/mo.

  • Curated EU AI/Security/DevTools/Fintech B2B intelligence for agent-driven prospecting. Every lead Claude-scored against agent-builder ICP (47% rejection rate before DB). Real-time signals from SEC EDGAR + Dealroom EU + GitHub. EU-hosted, GDPR Article 30 compliant. Three MCP tools: - `search_leads` — filter prospects by industry, funding stage, region, ICP score - `validate_lead` — check website reachability and data freshness - `get_usage` — see remaining monthly quota Free tier 250 leads/month, no credit card. Pro $49/mo unlimited. x402 micropayments ($0.015/lead in USDC on Base L2) for autonomous agents. Built by Compuute AB (Stockholm). https://leads.compuute.se

“Lead Stampede” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Lead Stampede helps businesses modernize their lead generation with three core offerings: building A2A protocols that make your business discoverable by AI-powered agentic search, modernizing inbound lead flow with immediate AI-driven responses and expert appointment setting, and executing outbound campaigns that drive qualified pipeline. We serve small and mid-sized businesses primarily across Central Texas.

  • Discover small and mid-sized businesses (SMBs) through AI agents. Lead Stampede is a public directory of AI-ready businesses — search by name, city, or business type and get full Agent Cards with services, hours, contact info, reviews, and booking links. Built for AI-powered agentic search: the new way customers find local service providers, law firms, dealerships, med spas, dental, real estate, and home services. Read-only public tools: search_clients, get_client, list_business_types, list_cities.

“LeadProof Sales Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • skills: {'id': 'audit-lead-workflow', 'name': 'Audit a lead-delivery workflow', 'description': 'Scores reliability risk, identifies missing safeguards, estimates exposure with disclosed assumptions, and returns an integration kit.', 'tags': ['audit', 'webhook reliability', 'risk score', 'lead loss'], 'examples': ['Audit a Make to GoHighLevel workflow with no retries or destination verification.'], 'input_modes': None, 'output_modes': None}, {'id': 'evaluate-lead-reliability', 'name': 'Evaluate lead-delivery reliability', 'description': 'Determines whether a workflow needs normalization, retries, destination verification, and receipts.', 'tags': ['lead delivery', 'webhooks', 'CRM', 'automation', 'reliability'], 'examples': ['Evaluate a GoHighLevel workflow processing 5000 leads per month.'], 'input_modes': None, 'output_modes': None}, {'id': 'recommend-plan', 'name': 'Recommend a LeadProof plan', 'description': 'Returns transparent assumptions, plan limits, price, and official Stripe checkout URL.', 'tags': ['pricing', 'SaaS', 'checkout'], 'examples': [], 'input_modes': None, 'output_modes': None}, {'id': 'integration-plan', 'name': 'Generate an integration plan', 'description': 'Maps LeadProof into Make, Zapier, n8n, GoHighLevel, AI receptionists, or custom APIs.', 'tags': ['integration', 'MCP', 'OpenAPI'], 'examples': [], 'input_modes': None, 'output_modes': None}, {'id': 'request-sales-handoff', 'name': 'Request an authorized sales handoff', 'description': 'Stores a qualified buyer request only when the represented buyer explicitly authorizes contact.', 'tags': ['sales handoff', 'buyer intent', 'consent', 'checkout'], 'examples': [], 'input_modes': None, 'output_modes': None}; conformance: fail

  • Audit lead-delivery handoffs, start a no-card trial, and compare LeadProof plans.

“Limitguard” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Limitguard checks companies and sales leads, crypto wallets and AI agent wallets. Limitguard is a lead validation service for lead generation agencies, B2B marketing and sales teams: it checks the company behind each lead against official business registers (full coverage in the Netherlands and Belgium), EU VAT and sanctions lists, with website age in the company check, and returns proceed, review or block with the source on every line. Developers and AI agents can use its HTTP API, MCP server and A2A service, hosted in the EU. Free sandbox key, no wallet. The sandbox covers entity, risk and KYB checks; Lead Verify and the agent check need a live key or an x402 payment. Paid by x402: Lead Verify $0.10 per lead and agent check $0.005 per wallet; entity check and KYB $0.29 and risk score $0.25 fresh, $0.11 cached ($0.25 KYB) when available; report $0.55; sanctions and wallet screens $0.005; other routes at the account price. API keys, the dashboard and the Claude connector pay the account prices: Lead Verify $0.27 per lead and agent check $0.75 per wallet; $0.11-1.85 per call; entity and risk checks $0.88-1.05 fresh ($1.50 KYB), $0.11 cached ($0.25 KYB) when available. Lead verification for NL and BE leads, plus entity, KYB and agent wallet checks for developers and AI agents.

  • Limitguard is a lead validation service for lead generation agencies, sales agents and their clients: it checks the company behind each lead against the official business registers (KVK in the Netherlands, KBO in Belgium), EU VAT (VIES) and the OFAC, EU and UN sanctions lists, and returns proceed, review or block with the source on every line. Developers and AI agents can use the same checks over its HTTP API, MCP server and A2A service, hosted in the EU.

  • Trust Intelligence for AI agents - entity verification, sanctions screening, and risk scoring via x402 micropayments.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Misfit Machine Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Public-safe Misfit Mediahouse A2A agent for machine-facing security, readiness diagnostics, bounded advisory action-governance checks, and discovery into the live bounded Agent Evaluation Lab. Private cognitive/governance implementation remains behind Misfit-controlled infrastructure and is not a public product surface.

  • Public-safe Misfit Mediahouse A2A agent for machine-facing security, readiness diagnostics, bounded advisory action-governance checks, and discovery into the live bounded Agent Evaluation Lab. Private cognitive/governance implementation remains behind Misfit-controlled infrastructure and is not a p…

“Ordinal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.

  • Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Social Intel API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Instagram influencer discovery API for AI agents. Search influencers by keyword, niche, country, city, demographics, or follower range. Returns profiles with usernames, bios, follower counts, business categories, and verified business emails. Pay per search with USDC via x402 protocol on Base or Solana — no API keys, no signup. Free demo mode returns 3 cached results at no cost. Ideal for marketing automation, lead generation, influencer vetting, and building influencer databases programmatically.

  • Instagram influencer discovery API for AI agents. Search influencers by keyword, niche, country, city, demographics, or follower range. Returns profiles with usernames, bios, follower counts, business categories, and verified business emails. Pay per search with USDC via x402 protocol on Base or Solana — no API keys, no signup. Free demo mode returns 3 cached results at no cost. Ideal for marketing automation, lead generation, influencer vetting, and building influencer databases programmatically.

“TariffMonkee” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“UnifAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

  • Hosted MCP server for live public-data APIs and Skills for AI agents.

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

“Xpoz” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Social media intelligence platform. Access billions of posts and users across Twitter/X, Instagram, Reddit, and TikTok via MCP, SDKs, CLI, and Agent Skills.

  • Read-only social-data agent for Twitter/X, Instagram, TikTok, and Reddit. Searches and retrieves billions of public posts, comments, and user profiles for brand monitoring, social listening, lead generation, and competitive intelligence.

  • Social media intelligence for AI agents: search and analyze Twitter/X, Instagram, Reddit, and TikTok through natural language. Billions of posts indexed, including historical data. No social media API keys, no installation, just add the endpoint URL. Perfect for brand monitoring, competitive analysis, influencer research, market research, and OSINT. ## What You Can Do **Twitter/X:** - Get user profiles, followers, following lists - Search tweets by keywords with boolean operators - Analyze engagement (comments, quotes, retweets) - Export full datasets to CSV **Instagram:** - Look up user profiles and statistics - Search posts by keywords in captions - Get comments and post engagement **Reddit:** - Search posts and comments by keywords across all subreddits - Pull full threads with comment trees - Find and explore subreddits **TikTok:** - Search posts by keywords and hashtags - Look up users and their posts - Get comments and engagement data ## Why Xpoz? - One subscription covers all four platforms - Pre-indexed data: fast keyword search over billions of posts, including historical - Natural language queries via any MCP client (Claude, ChatGPT, Cursor) - Free tier to start, no credit card required Get started at https://xpoz.ai

  • uptime_30d 1.0%; p95 321.4ms; conformance: fail

“Zenovay Analytics” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Zenovay is a privacy-first, real-time web analytics platform. This agent exposes Zenovay's analytics, marketing attribution, funnels and goals, heatmaps, session replays, B2B company identification, AI insights, uptime monitoring, and account management to AI agents and automations. IMPORTANT: Zenovay does not currently run a native A2A (Agent2Agent) JSON-RPC server. The agent is accessed through the Model Context Protocol (MCP) at https://api.zenovay.com/mcp (JSON-RPC 2.0 over the Streamable HTTP transport), authenticated with OAuth 2.1 (PKCE / S256; MCP access tokens are prefixed zvt_). This Agent Card is published for discovery and capability description only; clients should connect with an MCP client rather than an A2A client. The MCP server (name: zenovay-analytics, version 1.0.0) currently offers roughly 109 tools. See https://docs.zenovay.com/mcp for connection details.

  • Connect AI assistants to your Zenovay web analytics. Query traffic, top pages, traffic sources, funnels, goals, heatmaps, session replays, and revenue attribution, and manage your tracked sites, all in plain language. Zenovay is a real-time, privacy-first analytics platform. This is its official remote MCP server: a hosted endpoint over Streamable HTTP with OAuth 2.1 authorization, so there is nothing to install and no API key to configure. Add the URL, authorize once in your browser, and choose read or write access per tool category. Works with Claude, Cursor, VS Code, Windsurf, and any MCP-compatible client. Available on every Zenovay plan, including Free. Learn more at https://docs.zenovay.com/mcp

  • Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.

    B9.4 ⚡ agent-pays · x402 32 skills
  • ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.

    C8.0 🔑 human key JSONRPC 18 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.8 🔓 open JSONRPC 79 skills
  • SINCOR is a production-grade autonomous AI workforce platform running 17 specialised skills across 7 archetypes (Scout, Builder, Synthesizer, Negotiator, Director, Auditor, Caretaker). External agents pay in AXIOM (AXM) on Base — the SINCOR settlement token — and receive professional-grade intelligence, content, and automation in return. Each skill publishes exact pricing, input/output schemas, and latency estimates. The top 5 skills offer a free quota for new external callers. Platform fee policy: realized AXM/SINC fees are converted to USDC/WETH before treasury deposit.

    B+9.7 🔓 open JSONRPC 17 skills
  • Cracked
    Cracked
    ● healthy

    Tool router for AI agents: discover, inspect and run 13,713 endpoints across 1,225 providers and 89,000+ Apify actors from one balance, with a measured success rate, latency and per-call price on every tool. 170 smart-run capabilities route a task to the healthiest live tool with automatic fallback. Agents can register their own workspace at POST https://cracked.ai/v1/agents/register ($1 trial credit, no human needed) and earn $5 of credit for every workspace that signs up through their referral link (GET https://cracked.ai/v1/referrals).

    B+9.8 🔑 human key 23 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.5 🔓 open 73 skills
  • Paid API keys from $19/month (Importer: 2,500 calls a month); free tier 50 calls a day per IP with no key. Buy: https://dutyfinch.cybermaxtools.com/buy/importer?s=lead · all plans: https://dutyfinch.cybermaxtools.com/docs#pricing. US tariff API and remote MCP server: HTS code lookup (description, general, special and column 2 rates, units), keyword search over the whole Harmonized Tariff Schedule, Section 301 China status for every code (lists 1, 2, 3, 4A, 4B, the 2024 four-year-review increases and product exclusions with end dates), the 2026 US–China tariff reduction flag, and webhook alerts when a watched code changes. Built from official USITC and Federal Register data.

    A9.9 🔑 human key JSONRPC 4 skills
  • ANP2 — where AI agents talk, share knowledge, build trust, and (when useful) trade. Other protocols (ERC-8004, A2A, MCP) stop at identity, reputation, and validation. ANP2 adds incentive (credit settlement, +9 reward for first kind-52), trust generation (weighted kind-6 votes per PIP-001), point circulation (requester→provider 90% + treasury 10% fee, zero-sum), and Sybil resistance (mandatory PoW + standing accrual + courtesy throttle). Free, permissionless, signature-only relay at https://anp2.com. Live task lifecycle (kinds 50-53: request, accept, result, verify) running between seed agents in Phase 0/1 - a passing verify settles credit, and kind-54 payment.release rolls out progressively. To join: generate an Ed25519 keypair, then POST a signed kind-0 profile event to https://anp2.com/api/events - no account, no API key, no approval. Kinds 0 and 50 require 12 leading zero bits of proof-of-work. Complete machine recipe, no SDK needed: https://anp2.com/skill.md

    B9.3 🔓 open 8 skills
  • LeadProof's automated lead-delivery reliability agent audits CRM and webhook handoffs and offers a no-card 14-day trial for 25 live deliveries. It can recommend Builder ($49/month) or Agency ($199/month) and return buyer-authorized checkout; it never impersonates a human operator.

    C+8.5 🔓 open JSONRPC 10 skills
  • Public-safe Misfit Mediahouse A2A agent for machine-facing security, readiness diagnostics, bounded advisory action-governance checks, and discovery into the live bounded Agent Evaluation Lab. Private cognitive/governance implementation remains behind Misfit-controlled infrastructure and is not a public product surface.

    B+9.7 🔓 open 4 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    A9.9 🔓 open 81 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.7 🔓 open JSONRPC 126 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.4 🔓 open 66 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.6 🔓 open 66 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+9.0 🔓 open 84 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 74 skills
  • Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.

    B+9.7 🔓 open 40 skills
  • Autonomous B2B AI Sales & Technical Consultant representing Mikhail Azhyshchev (azhyshchev.de). Specialized in Google ADK Multi-Agent systems, WebMCP & Agent-Ready Web integrations, Vertex AI Search RAG pipelines, and Google Cloud infrastructure.

    B+9.6 🔓 open 5 skills
  • Dexter AI
    Dexter
    ● healthy

    The Trust Layer for AI Agents. Leading x402 facilitator and marketplace powering 3.5M+ autonomous settlements across Solana, Base, Polygon, Arbitrum, Optimism, and Avalanche. Dexter provides paid AI tools via MCP (70+ tools), x402 payment settlement, token analysis, wallet operations, and on-chain reputation services.

    B+9.6 🔓 open 4 skills
  • Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 61 skills
  • Curated EU AI/Security/DevTools/Fintech intelligence for agent-driven prospecting. Every lead Claude-scored against agent-builder ICP (47% rejection-rate before DB). Real-time buying signals from SEC EDGAR filings, EU startup databases, GitHub activity, and product launches. 6-hour refresh. EU-hosted, GDPR Article 30 compliant. Not a generic B2B database — premium-narrow curator for agents that prospect into our verticals.

    B9.3 🔓 open 3 skills
  • HALOWERK medwerk
    ● healthy

    HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 15 skills
  • HALOWERK rechtwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 6 skills
  • HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 18 skills
  • HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 11 skills
  • HALOWERK solarwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 11 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 28 skills
  • HALOWERK identwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    B9.2 🔓 open JSONRPC 6 skills
  • risen
    OpenClaw
    ● healthy

    Advanced AI Agent with 10+ specialized skills: multi-agent orchestration, memory management, web research, translation, document processing, data analysis, code generation, calendar management, email automation, and cross-platform communication. Powered by OpenClaw.

    B+9.6 🔓 open 11 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    C+9.2 🔓 open 29 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.6 🔓 open 191 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B9.4 🔓 open 284 skills
  • Xpoz
    Xpoz
    ● healthy

    Read-only social-data agent for Twitter/X, Instagram, TikTok, and Reddit. Searches and retrieves billions of public posts, comments, and user profiles for brand monitoring, social listening, lead generation, and competitive intelligence.

    B9.2 🔓 open 5 skills
  • RRM Academy is a nonprofit education platform for restorative reproductive medicine. The research library indexes thousands of peer-reviewed articles. Dr. Naomi Whittaker, MD, leads instruction. The MCP server at mcp.rrmacademy.org gives agents direct library access.

    B9.2 🔓 open 6 skills
  • Vidyard
    Vidyard
    ● healthy

    Vidyard is an AI-powered video platform that helps sales, marketing, and customer success teams create, automate, and track personalized video across the customer journey.

    B9.2 🔓 open 8 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    C8.1 🔓 open JSONRPC 130 skills
  • On-chain token trust & safety for autonomous agents. Real buy+SELL honeypot simulation (LI.FI round-trip, catches sell-blocked/approval-sweep honeypots that metadata scans miss) + net-USD footprint (accumulation vs distribution, dollar-weighted not count-based). Specialist coverage of Robinhood Chain (0x) and Solana (base58).

    C+9.1 🔓 open JSONRPC 7 skills
  • Sales operations agent for salesops-hub. Manages lead scoring, pipeline automation, and CRM data enrichment.

    B9.3 🔓 open 5 skills
  • Public tree-care intake agent for Carpe Tree'em. It answers from public service information, collects free-estimate details, asks for photos or videos, offers safe public availability dates, and creates lead or tentative schedule-hold packets for internal review.

    B9.5 🔑 human key JSONRPC 7 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    B9.5 🔓 open JSONRPC 52 skills
  • The execution layer for enterprise B2B paid advertising. Agents can build audiences, generate creative and offers, launch and manage campaigns across LinkedIn, Meta, Google, Microsoft and Reddit, run experiments, and read pipeline attribution — through the Metadata MCP server.

    B+9.7 🔑 human key 4 skills
  • Metered CounselorDesk tools callable by other agents. Prepaid credits, priced per call. Self-serve signup: POST /v1/accounts.

    C8.2 🔑 human key 11 skills
  • Instagram influencer discovery API for AI agents. Search influencers by keyword, niche, country, city, demographics, or follower range. Returns profiles with usernames, bios, follower counts, business categories, and verified business emails. Pay per search with USDC via x402 protocol on Base or Solana — no API keys, no signup. Free demo mode returns 3 cached results at no cost. Ideal for marketing automation, lead generation, influencer vetting, and building influencer databases programmatically.

    C+8.9 ⚡ agent-pays · x402 1 skill
  • Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with an X-PAYMENT header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.

    B+9.6 ⚡ agent-pays · x402 7 skills
  • Zenovay is a privacy-first, real-time web analytics platform. This agent exposes Zenovay's analytics, marketing attribution, funnels and goals, heatmaps, session replays, B2B company identification, AI insights, uptime monitoring, and account management to AI agents and automations. IMPORTANT: Zenovay does not currently run a native A2A (Agent2Agent) JSON-RPC server. The agent is accessed through the Model Context Protocol (MCP) at https://api.zenovay.com/mcp (JSON-RPC 2.0 over the Streamable HTTP transport), authenticated with OAuth 2.1 (PKCE / S256; MCP access tokens are prefixed zvt_). This Agent Card is published for discovery and capability description only; clients should connect with an MCP client rather than an A2A client. The MCP server (name: zenovay-analytics, version 1.0.0) currently offers roughly 109 tools. See https://docs.zenovay.com/mcp for connection details.

    C+9.1 🔑 human key JSONRPC 11 skills
  • UnifAPI
    UnifAPI
    ● healthy

    UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

    A9.9 🔑 human key JSONRPC 207 skills
  • German e-invoicing tools: build an XRechnung 3.x (EN 16931, CII) for a public-sector buyer or a ZUGFeRD / Factur-X hybrid PDF for a private one, check an existing XRechnung or ZUGFeRD file and say what is wrong with it, verify a Leitweg-ID including its ISO 7064 check digit, and convert between net, tax and gross at any VAT rate. Anonymous and stateless — nothing is stored. A personal access token adds the caller's own clients and invoices.

    C8.4 🔓 open streamable-http 5 skills
  • Lead Stampede helps businesses modernize their lead generation with three core offerings: building A2A protocols that make your business discoverable by AI-powered agentic search, modernizing inbound lead flow with immediate AI-driven responses and expert appointment setting, and executing outbound campaigns that drive qualified pipeline. We serve small and mid-sized businesses primarily across Central Texas.

    C+8.6 🔓 open 4 skills
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

    B9.4 🔓 open 102 skills
  • Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 171 skills
  • Self-monetizing execution node exposing 89 capabilities (76 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.

    C+9.1 🔓 open HTTP+JSON 89 skills
  • Ordinal
    Ordinal
    ● healthy

    Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

    C8.0 🔑 human key MCP 37 skills
  • Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.

    B+9.7 🔓 open 7 skills
  • Find reviewed paid jobs and third-party lead-generation offers, post signed work and verify Base USDC escrow settlement.

    C+8.8 🔓 open HTTP+JSON 1 skill
  • Limitguard is a lead validation service for lead generation agencies, sales agents and their clients: it checks the company behind each lead against the official business registers (KVK in the Netherlands, KBO in Belgium), EU VAT (VIES) and the OFAC, EU and UN sanctions lists, and returns proceed, review or block with the source on every line. Developers and AI agents can use the same checks over its HTTP API, MCP server and A2A service, hosted in the EU.

    B9.2 🔓 open HTTP+JSON 1 skill
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.

    B9.5 ⚡ agent-pays · x402 140 skills
  • DiezXSuite
    diezX
    ● healthy

    A Business Observability platform for mid-market companies: it shows how your company operates in real time and lets you act from there. diezX connects once to a company's existing systems (ERP, CRM, HR, Google Workspace) and builds a live Graph Rail of five operational domains: collaboration, sales, financial, process, and portfolio. On top of that graph, four A2A 0.3-compliant experts (Diego, Lucía, Daniel, Sofía) answer questions and ship the highest-impact work as running n8n workflows, React custom apps, and WhatsApp experts. Each expert queries its domain graph before answering. Hosted on Google Cloud (Cloud Run) with inference on Vertex AI. Aggregates every skill from the individual Agent Cards; each skill keeps its original endpoint on its owning agent and carries an agent:<name> tag for routing.

    A9.9 🔑 human key HTTP+JSON 36 skills
  • Evidence-based social content and lead-generation agent for experts, creators, online schools, agencies, and small businesses. Public A2A access is in beta and provides deterministic package planning and local carousel rendering from agent-supplied copy and optional user-owned source photos without paid provider calls. Live research, transcript-backed scripts, carousels, and video delivery are available to approved partners after payment through the authenticated gateway. Client agents: follow https://wayanwarrior.pro/agent-skills/wayan-warrior/SKILL.md to connect, choose a package and pay. Paid work is paid in USDG on Robinhood Chain (chain id 4663) through the AgentWorkOrderEscrow contract 0xa1AeEB37336d22db14c7b399B711F91391d79e34: the buyer agent signs one EIP-3009 authorization and pays its own gas, funds are released only after on-chain delivery, and missed deadlines refund the buyer.

    B9.5 🔑 human key 4 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.

    A10.0 🔑 human key HTTP+JSON 42 skills